The Phantom Ranger is almost similar to the Human Hawkeye or the Elven Silver Ranger. But evasion and hit rate are better than that of Men. And even though lack in stamina, they have much a stronger offensive skills and they are the most feared during Siege Battle. Even a Paladin would not outlast an attack by a group of them.
They have basic skills such as strengthening their bows and various other skills such as shooting several arrows simultaneously.
To be a Phantom Ranger, your level must be over 40 and you need to collect the Mark of the Seeker, the Mark of Fate, and the Mark of the Sagittarius.
Ask about marks.
Return